#include <bits/stdc++.h>
using namespace std;
int main () 
{
	ifstream f1("NTMAX.INP");
	ofstream f2("NTMAX.OUT");
	int i,N,j,dem;
	bool mang[10000000];
    int day[100000000];
	dem=0;
	f1 >> N;
	memset(mang,true,1000000);
	for (i=2;i*i<=10000000;i++)
	{
		if (mang[i]==true) 
		{
			dem++;
			day[dem]=i;
			for(j=i+i;j<=10000000;j+=i) 
			{
				mang[j]=false;
			}
		}
	}
	f2 << day[N];
	f1.close();
	f2.close();
}
